Package org.opensaml.soap.client.http

# Class PipelineFactoryHttpSOAPClient.DefaultPipelineNameStrategy

java.lang.Object
org.opensaml.soap.client.http.PipelineFactoryHttpSOAPClient.DefaultPipelineNameStrategy

All Implemented Interfaces:
  `Function<InOutOperationContext,String>`

Enclosing class:
  PipelineFactoryHttpSOAPClient

public static class PipelineFactoryHttpSOAPClient.DefaultPipelineNameStrategy extends Object implements Function<InOutOperationContext,String>
Default strategy for resolving SOAP client message pipeline name from the `SOAPClientContext.getPipelineName()` which is a direct child of the input operation context.

## Constructor Summary

Constructors
Constructor
Description
`DefaultPipelineNameStrategy()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(InOutOperationContext opContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### DefaultPipelineNameStrategy

public DefaultPipelineNameStrategy()

## Method Details

### apply

@Nullable public String apply(@Nullable InOutOperationContext opContext)

Specified by:
  `apply` in interface `Function<InOutOperationContext,String>`